DESCRIPTION = "C++ bindings for dbus"
LICENSE = "LGPLv2.1+"
SECTION = "libs"

SRC_URI = "\
    ${SOURCEFORGE_MIRROR}/dbus-cplusplus/dbus-c%2B%2B/${PV}/libdbus-c%2B%2B-${PV}.tar.gz \
    file://dbus-c++-compile-fix.patch \
    "
LIC_FILES_CHKSUM = "file://COPYING;md5=fbc093901857fcd118f065f900982c24"
S = "${WORKDIR}/libdbus-c++-${PV}"
PR = "r1"

inherit autotools pkgconfig

# This is a hack.  The code in libdbus-c++/tools uses ${CXX_FOR_BUILD} if it's
# set, in the (correct) expectation that this will be the compiler for the build
# host.  However, if we let it do that then it will blow up because it needs to
# be able to find a copy of libdbus-c++ that was linked against the build host.
# 
# But, if we set this to the same as ${CXX} then it will build the stuff in tools/ for
# the target instead.  This is useless but benign, since we can get the appropriate
# binaries to run on the build host from dbus-c++-native.
CXX_FOR_BUILD = "${CXX}"

EXTRA_OECONF = "--disable-ecore --disable-tests --disable-glib --disable-doxygen-docs"
