DESCRIPTION = "Low level cryptographic library"
HOMEPAGE = "http://www.lysator.liu.se/~nisse/nettle/"

# Without GMP, we can't enable public-key, which is needed for GnuTLS
DEPENDS="gmp"

LICENSE = "LGPLv2.1+"
LICENSE_${PN} = "LGPLv2.1+"
LIC_FILES_CHKSUM = "file://COPYING.LIB;md5=2d5025d4aa3495befef8f17206a5b0a1 \
		   "
PR = "r1"

SRC_URI = "http://www.lysator.liu.se/~nisse/archive/${PN}-${PV}.tar.gz \
	   file://add-acinclude-m4.patch \
	   file://build-static-lib-for-tools.patch \
          "
SRC_URI[md5sum] = "003d5147911317931dd453520eb234a5"
SRC_URI[sha256sum] = "bc71ebd43435537d767799e414fce88e521b7278d48c860651216e1fc6555b40"

inherit autotools binconfig pkgconfig lib_package

EXTRA_OECONF="--enable-public-key \
              --enable-static \
	     "

EXTRA_OEMAKE="MAKE='make CC_FOR_BUILD=gcc EXEEXT_FOR_BUILD= '"

BBCLASSEXTEND = "native"
