# brightsign-nexus-image
#
# Image configuration for BrightSign based on Nexus
#

PR = "r2"
PACKAGE_ARCH = "${MACHINE}${BS_ALL_SUFFIXES}"
__BB_DONT_CACHE = "1"

# Bitbake's dependency checking doesn't seem to be working. If a
# package is rebuilt it won't necessarily rebuild the rootfs so let's
# force it.

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

IMAGE_INSTALL = "base-files \
	         base-passwd \
                 brightsign-apps \
                 dbus \
                 eglibc-thread-db \
                 hostapd \
                 wpa-supplicant \
                 net-snmp-client \
                 net-snmp-server \
                 avahi-daemon \
                 avahi-utils \
                 gdb \
                 valgrind \
		 "

IMAGE_INSTALL_append_cheetah = " \
		 fontconfig-utils \
		 gdk-pixbuf-loader-png \
		 gdk-pixbuf-loader-jpeg \
		 gdk-pixbuf-loader-bmp \
		 kexec-tools \
"

IMAGE_LINGUAS = ""

IMAGE_INSTALL += "curl"
IMAGE_INSTALL += "libusb1"
IMAGE_INSTALL += "libusb-compat"
IMAGE_INSTALL += "alsa-lib"
IMAGE_INSTALL += "alsa-utils"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=3f40d7994397109285ec7b81fdeb3b58 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

inherit image

# Install straight into our private NFS root
IMAGE_ROOTFS = "${TOPDIR}/${MACHINE}-root"

# We do want to install the debug packages
IMAGE_ROOTFS_DBG = "${IMAGE_ROOTFS}"

# We don't want to produce a file system image, just the installed
# tree is sufficient.
IMAGE_FSTYPES = ""

do_rewrite_loaders() {
    set -x
    # There are some files with executable bits that are not ELF
    find "${IMAGE_ROOTFS}" -type f -executable -print0 | xargs -0 -i -n1 sh -c "if readelf -h {} >/dev/null 2>/dev/null; then ${FILE_DIRNAME}/change-loader {} ${IMAGE_ROOTFS}/lib/ld-linux.so.2 \; ; fi"
}

addtask rewrite_loaders after do_rootfs before do_build

LICENSE = "CLOSED"

do_capture_debug() {
    # We don't need to capture any debug stuff
    :
}

do_clean_root() {
    rm -rf "${IMAGE_ROOTFS}"
}

addtask clean_root before do_clean
