include nexus.inc

LICENSE = "CLOSED"

COMPATIBLE_MACHINE = "cheetah$|panther$|puma$|cheetah-tests$|panther-tests$|puma-tests$|bcm97425$"

DEPENDS = "virtual/kernel live555 directfb"
RDEPENDS_${PN} += "live555"
PROVIDES = "virtual/libgl"

V3D_SUPPORT = "y"
V3D_SUPPORT_panther = "n"
V3D_SUPPORT_puma = "n"

SRC_URI = "\
	file://libv3ddriver.so \
	file://libEGL.so \
	file://gl-headers.tar \
"

do_install() {
    echo S=${S}
    echo WORKDIR=${WORKDIR}
    ls -l ${WORKDIR}
    ls -l ${S}
    if [ "${V3D_SUPPORT}" = "y" ]; then
        install -d ${D}${libdir}/pkgconfig
    	install -m 0755 ${WORKDIR}/libv3ddriver.so ${D}${libdir}/
    	install -m 0755 ${WORKDIR}/libEGL.so ${D}${libdir}/
	install -d ${D}${includedir}
	cp -r ${WORKDIR}/gl-headers/* ${D}${includedir}/

	cat > ${D}${libdir}/pkgconfig/glesv2.pc <<EOF
prefix=${prefix}
exec_prefix=${prefix}
libdir=${libdir}
includedir=${includedir}

Name: glesv2
Description: Broadcom Nexus libraries (GLESv2)
Cflags: 
Libs: 
Version: ${PV}
EOF
    fi
}
