PV = "1.3.11+3+20130919T132101+fa332ee-bs"
SRC_URI = "http://should-already-by-in-dl-dir/webkit-clutter-1.3.11+3+20130919T132101+fa332ee-bs.tar.gz"
SRC_URI[sha256sum] = "32f19b04ad6b0ae5fa4d47019a109b4c37be5508a0220d2555abafb513aa8dad"
DESCRIPTION = "Webkit browser engine, Clutter edition"
LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Source/WebKit/LICENSE;md5=4646f90082c40bcf298c285f8bab0b12 \
                    file://Source/JavaScriptCore/COPYING.LIB;md5=d0c6d6397a5d84286dda758da57bd691"

DEPENDS = "icu libxslt sqlite3 gperf-native bison-native flex-native jpeg \
           libpng fontconfig cairo freetype glib-2.0 libsoup-2.4 \
           libxml2 pango clutter perl-native enchant autoconf-archive \
	   directfb boost libwebp"

PR = "r8"


RDEPENDS_${PN} += "glib-networking"

inherit lib_package pkgconfig perlnative autotools

do_compile() {
	mkdir -p DerivedSources/WebCore DerivedSources/webkit DerivedSources/ANGLE DerivedSources/webkitdom
	oe_runmake
}

do_install_append() {
	install -d -m 0755 ${D}${bindir}
	install -m 0755 Programs/ClutterLauncher ${D}${bindir}/
	install -d -m 0755 ${D}${includedir}/webkit_clutter-0/wtf
	install -m 0644 ${S}/Source/WTF/wtf/*.h ${D}${includedir}/webkit_clutter-0/wtf/
	install -m 0644 ${S}/Source/WebKit/gtk/webkit/webkitwebframe.h ${D}${includedir}/webkit_clutter-0/webkit/
	install -m 0644 ${S}/Source/WebCore/platform/graphics/clutter/BrightsignMediaGlue.h ${D}${includedir}/webkit_clutter-0/webkit/
	install -m 0644 ${S}/Source/WebCore/brightscript/BrightsignJavascriptGlueFactory.h ${D}${includedir}/webkit_clutter-0/webkit/
	install -m 0644 ${S}/Source/WebCore/brightscript/BrightsignJavascriptFactoryHolder.h ${D}${includedir}/webkit_clutter-0/webkit/
}

EXTRA_OECONF = "--with-port=clutter --disable-glibtest --with-target=egl --disable-geolocation --enable-video --enable-accelerated-compositing --enable-jit --disable-spellcheck --enable-touch-events --disable-gtk-doc-html --with-acceleration-backend=clutter --disable-credential-storage"

FILES_${PN} += "${datadir}/webkit_clutter-0 ${datadir}/webkitgtk-"

